> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all account relationship types



## OpenAPI

````yaml get /v1/accounts/relationships/types
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/accounts/relationships/types:
    get:
      tags:
        - Accounts
      summary: Get all account relationship types
      operationId: AccountRelationshipActionController_findAllAccountRelationshipTypes
      parameters: []
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountRelationshipTypeResponseDto'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    AccountRelationshipTypeResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the relationship type
          example: ART123
        name:
          type: string
          description: The name of the relationship type
          example: Parent
        inverseRelationshipId:
          type: string
          description: The identifier of the inverse relationship type
          example: ART124
        inverseRelationship:
          type: string
          description: The name of the inverse relationship type
          example: Subsidiary
        createdAt:
          format: date-time
          type: string
          description: The creation date of the relationship type
        updatedAt:
          format: date-time
          type: string
          description: Last update date of the relationship type
      required:
        - id
        - name
        - inverseRelationshipId
        - inverseRelationship
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````